import webiopi
import time

GPIO = webiopi.GPIO

LEDPIN = 24
DIGITALINPIN = 25
DEBOUNCEDELAY = 0.5

def setup():
	global g_bButtonState_prev
	global g_dSec_prev
	global g_bLedState

	GPIO.setFunction( LEDPIN, GPIO.OUT )
	GPIO.setFunction( DIGITALINPIN, GPIO.IN )
	g_bButtonState_prev = False
	g_dSec_prev = time.time()
	g_bLedState = False
	GPIO.digitalWrite( LEDPIN, g_bLedState )

def loop():
	global g_bButtonState_prev
	global g_dSec_prev
	global g_bLedState

	bButtonState = GPIO.digitalRead( DIGITALINPIN )
	if False == g_bButtonState_prev and True == bButtonState:
		dSec = time.time()
		if DEBOUNCEDELAY < dSec - g_dSec_prev:
			g_bLedState = not g_bLedState
			GPIO.digitalWrite( LEDPIN, g_bLedState )
		g_dSec_prev = dSec
	g_bButtonState_prev = bButtonState
